> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Invoice: Entrata

POST https://api.propexo.com/v1/invoices/entrata/
Content-Type: application/json

Create Invoice: Entrata| Method               |
| -------------------- |
| vendors/sendInvoices |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/entrata/invoices/create-invoice-entrata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_invoices_entrata__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `vendor_location_id` (string, required) — The Propexo unique identifier for the vendor location
- `invoice_number` (string, required) — The invoice or reference number that the vendor assigned to the service request
- `invoice_date` (string, required) — The date of issuance for the invoice
- `total_amount_in_cents` (double, required) — The amount of the invoice, in cents
- `invoice_items` (list of V1InvoicesEntrataPostInputInvoiceItemsItems, required)
- `ap_financial_account_id` (string, optional) — The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
- `post_month` (V1InvoicesEntrataPostInputPostMonth, optional) — The post month for the invoice. We will strip all data out of the datetime except the year and month.
- `discount_amount_in_cents` (double, optional) — The discount, in cents, of the invoice. This amount will be applied prior to the total amount being calculated.
- `due_date` (string, optional) — The due date associated with the invoice
- `notes` (string, optional) — Notes associated with the invoice
- `attachments` (list of V1InvoicesEntrataPostInputAttachmentsItems, optional) — Files to upload for the invoice. All the files can have a maximum combined file size of 50 MB

## Response

### 200

Successful response

- `meta` (V1InvoicesEntrataPostOutputMeta, required)
- `result` (V1InvoicesEntrataPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1InvoicesEntrataPostInputInvoiceItemsItems

- `property_id` (string, required) — The Propexo unique identifier for the property
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `total_amount_in_cents` (double, required) — The amount of the invoice item, in cents
- `notes` (string, required) — Notes associated with the invoice item
- `purchase_order_item_id` (string, optional) — The Propexo unique identifier for the purchase order item

### V1InvoicesEntrataPostInputPostMonth

The post month for the invoice. We will strip all data out of the datetime except the year and month.

### V1InvoicesEntrataPostInputAttachmentsItems

- `file_data` (string, required) — The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
- `file_name` (string, required) — The name of the file including the extension. Ex: "image.jpg"
- `mime_type` (string, required) — The mime type of the file. Ex: "image/jpeg"

### V1InvoicesEntrataPostOutputMeta

- `job_id` (string, required)

### V1InvoicesEntrataPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `vendor_location_id` (string, required) — The Propexo unique identifier for the vendor location
- `invoice_number` (string, required) — The invoice or reference number that the vendor assigned to the service request
- `invoice_date` (string, required) — The date of issuance for the invoice
- `total_amount_in_cents` (double, required) — The amount of the invoice, in cents
- `invoice_items` (list of V1InvoicesEntrataPostOutputResultInvoiceItemsItems, required)
- `ap_financial_account_id` (string, required, nullable)
- `post_month` (V1InvoicesEntrataPostOutputResultPostMonth, required, nullable)
- `discount_amount_in_cents` (double, required, nullable)
- `due_date` (string, required, nullable)
- `notes` (string, required, nullable)
- `attachments` (list of V1InvoicesEntrataPostOutputResultAttachmentsItems, required, nullable)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1InvoicesEntrataPostOutputResultInvoiceItemsItems

- `property_id` (string, required) — The Propexo unique identifier for the property
- `financial_account_id` (string, required) — The Propexo unique identifier for the financial account
- `total_amount_in_cents` (double, required) — The amount of the invoice item, in cents
- `notes` (string, required) — Notes associated with the invoice item
- `purchase_order_item_id` (string, optional)

### V1InvoicesEntrataPostOutputResultPostMonth

### V1InvoicesEntrataPostOutputResultAttachmentsItems

- `file_name` (string, required) — The name of the file including the extension. Ex: "image.jpg"
- `mime_type` (string, required) — The mime type of the file. Ex: "image/jpeg"
- `file_data` (string, optional, nullable) — The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "vendor_id": "vend_123abc456def789ghi",
  "vendor_location_id": "loc_987zyx654wvu321tsr",
  "invoice_number": "INV-2024-01567",
  "invoice_date": "2024-01-15T09:30:00Z",
  "total_amount_in_cents": 115000,
  "invoice_items": [
    {
      "property_id": "prop_456def789ghi123abc",
      "financial_account_id": "finacc_321tsr987zyx654wvu",
      "total_amount_in_cents": 115000,
      "notes": "Monthly maintenance fee for January 2024"
    }
  ]
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_20240115_9a8b7c6d5e4f3a2b1c0d"
  },
  "result": {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "vendor_id": "vend_123abc456def789ghi",
    "vendor_location_id": "loc_987zyx654wvu321tsr",
    "invoice_number": "INV-2024-01567",
    "invoice_date": "2024-01-15T09:30:00Z",
    "total_amount_in_cents": 115000,
    "invoice_items": [
      {
        "property_id": "prop_456def789ghi123abc",
        "financial_account_id": "finacc_321tsr987zyx654wvu",
        "total_amount_in_cents": 115000,
        "notes": "Monthly maintenance fee for January 2024",
        "purchase_order_item_id": "poitem_789ghi123abc456def"
      }
    ],
    "ap_financial_account_id": "apfinacc_654wvu321tsr987zyx",
    "post_month": "2024-01-01",
    "discount_amount_in_cents": 5000,
    "due_date": "2024-02-15T23:59:59Z",
    "notes": "Please process payment by due date to avoid late fees.",
    "attachments": [
      {
        "file_name": "invoice_jan2024.pdf",
        "mime_type": "application/pdf",
        "file_data": "SGVsbG8gV29ybGQ="
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/invoices/entrata/"

payload = {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "vendor_id": "vend_123abc456def789ghi",
    "vendor_location_id": "loc_987zyx654wvu321tsr",
    "invoice_number": "INV-2024-01567",
    "invoice_date": "2024-01-15T09:30:00Z",
    "total_amount_in_cents": 115000,
    "invoice_items": [
        {
            "property_id": "prop_456def789ghi123abc",
            "financial_account_id": "finacc_321tsr987zyx654wvu",
            "total_amount_in_cents": 115000,
            "notes": "Monthly maintenance fee for January 2024"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/invoices/entrata/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e","vendor_id":"vend_123abc456def789ghi","vendor_location_id":"loc_987zyx654wvu321tsr","invoice_number":"INV-2024-01567","invoice_date":"2024-01-15T09:30:00Z","total_amount_in_cents":115000,"invoice_items":[{"property_id":"prop_456def789ghi123abc","financial_account_id":"finacc_321tsr987zyx654wvu","total_amount_in_cents":115000,"notes":"Monthly maintenance fee for January 2024"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/invoices/entrata/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend_123abc456def789ghi\",\n  \"vendor_location_id\": \"loc_987zyx654wvu321tsr\",\n  \"invoice_number\": \"INV-2024-01567\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"total_amount_in_cents\": 115000,\n  \"invoice_items\": [\n    {\n      \"property_id\": \"prop_456def789ghi123abc\",\n      \"financial_account_id\": \"finacc_321tsr987zyx654wvu\",\n      \"total_amount_in_cents\": 115000,\n      \"notes\": \"Monthly maintenance fee for January 2024\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/invoices/entrata/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend_123abc456def789ghi\",\n  \"vendor_location_id\": \"loc_987zyx654wvu321tsr\",\n  \"invoice_number\": \"INV-2024-01567\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"total_amount_in_cents\": 115000,\n  \"invoice_items\": [\n    {\n      \"property_id\": \"prop_456def789ghi123abc\",\n      \"financial_account_id\": \"finacc_321tsr987zyx654wvu\",\n      \"total_amount_in_cents\": 115000,\n      \"notes\": \"Monthly maintenance fee for January 2024\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/invoices/entrata/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend_123abc456def789ghi\",\n  \"vendor_location_id\": \"loc_987zyx654wvu321tsr\",\n  \"invoice_number\": \"INV-2024-01567\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"total_amount_in_cents\": 115000,\n  \"invoice_items\": [\n    {\n      \"property_id\": \"prop_456def789ghi123abc\",\n      \"financial_account_id\": \"finacc_321tsr987zyx654wvu\",\n      \"total_amount_in_cents\": 115000,\n      \"notes\": \"Monthly maintenance fee for January 2024\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/invoices/entrata/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "vendor_id": "vend_123abc456def789ghi",
  "vendor_location_id": "loc_987zyx654wvu321tsr",
  "invoice_number": "INV-2024-01567",
  "invoice_date": "2024-01-15T09:30:00Z",
  "total_amount_in_cents": 115000,
  "invoice_items": [
    {
      "property_id": "prop_456def789ghi123abc",
      "financial_account_id": "finacc_321tsr987zyx654wvu",
      "total_amount_in_cents": 115000,
      "notes": "Monthly maintenance fee for January 2024"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/invoices/entrata/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"vendor_id\": \"vend_123abc456def789ghi\",\n  \"vendor_location_id\": \"loc_987zyx654wvu321tsr\",\n  \"invoice_number\": \"INV-2024-01567\",\n  \"invoice_date\": \"2024-01-15T09:30:00Z\",\n  \"total_amount_in_cents\": 115000,\n  \"invoice_items\": [\n    {\n      \"property_id\": \"prop_456def789ghi123abc\",\n      \"financial_account_id\": \"finacc_321tsr987zyx654wvu\",\n      \"total_amount_in_cents\": 115000,\n      \"notes\": \"Monthly maintenance fee for January 2024\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "vendor_id": "vend_123abc456def789ghi",
  "vendor_location_id": "loc_987zyx654wvu321tsr",
  "invoice_number": "INV-2024-01567",
  "invoice_date": "2024-01-15T09:30:00Z",
  "total_amount_in_cents": 115000,
  "invoice_items": [
    [
      "property_id": "prop_456def789ghi123abc",
      "financial_account_id": "finacc_321tsr987zyx654wvu",
      "total_amount_in_cents": 115000,
      "notes": "Monthly maintenance fee for January 2024"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/invoices/entrata/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```